WIPEFS(8)

BEZEICHNUNG
wipefs - eine Signatur von einem Gerät löschen

ÜBERSICHT
wipefs [Optionen] Gerät …

wipefs [--backup] -o Versatz Gerät …

wipefs [--backup] -a Gerät …

BESCHREIBUNG
wipefs kann die Signaturen von Dateisystemen, RAID oder Partitionstabellen (Magic Strings) vom angegebenen Gerät löschen, um diese für libblkid unsichtbar zu machen. wipefs löscht nicht das Dateisystem selbst oder irgendwelche andere Daten von dem Gerät. Werden keine Optionen verwandt, wird Wipefs alle sichtbaren Dateisysteme und deren Versatz auf der Basis grundlegender Signaturen auflisten. Die Vorgabeausgabe kann sich ändern. Daher sollten Sie wann immer möglich vermeiden, die Vorgabeausgabe in Skripten zu verwenden. Definieren Sie in Umgebungen, in denen eine stabile Ausgabe benötigt wird, immer explizit die Spalten mittels --output Spaltenliste. wipefs ruft das BLKRRPART-Ioctl nach dem Löschen einer Partitionstabelle auf, um den Kernel über die Änderung zu informieren. Beachten Sie, dass einige Dateisysteme und einige Partitionstabellen (z.B. FAT, ZFS, GPT) mehr magische Zeichenketten auf dem Gerät speichern. Der Befehl wipefs listet (seit v2.31) alle Versätze auf, an denen magische Zeichenketten erkannt wurden. Mit der Option -a werden alle für libblkid sichtbaren Magic Strings gelöscht. In diesem Fall durchsucht wipefs das Gerät erneut nach einer Änderung (Löschen), bis kein Magic String gefunden wird. Beachten Sie, dass wipefs keine verschachtelten Partitionstabellen auf Geräteteilen löscht. Die Option --force wird dazu benötigt.

OPTIONEN

-a, --all
    löscht alle verfügbaren Signaturen. Die zu löschenden Signaturen können mit der Option -t eingegrenzt werden.

-b, --backup
    erstellt eine Sicherung der Signatur in der Datei $HOME/wipefs-<Gerätename>-<Versatz>.bak. Weitere Details finden Sie im Abschnitt BEISPIELE.

-f, --force
    erzwingt das Löschen selbst dann, wenn das Dateisystem eingehängt ist. Dies ist notwendig, um die Partitionstabellensignatur eines blockorientierten Gerätes löschen zu können.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-O, --output Liste
    legt die anzuzeigenden Spalten fest. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

-n, --no-act
    sorgt dafür, dass alles erledigt wird, bis auf den endgültigen Aufruf von write().

-o, --offset Versatz
    gibt den Ort der Signatur (in Bytes) an, die vom Gerät gelöscht werden soll. Die Zahl für Versatz kann ein Präfix »0x« enthalten, so dass die Zahl als Hexadezimalwert interpretiert iwrd. Es ist möglich, die Option -o mehrmals anzugeben.

    Auf das Argument Versatz können die binären (2^N) Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB und EiB folgen (das »iB« ist optional, so dass zum Beispiel »K« gleichbedeutend mit »KiB« ist) oder die dezimalen Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB, PB und EB.

-p, --parsable
    veranlasst die Ausgabe in einem auswertbaren anstatt menschenlesbaren Format. Alle potenziell unsicheren Zeichen einer Zeichenkette werden in den korrespondierenden Hexadezimalwert umgewandelt, indem das Präfix »\x« vorangestellt wird.

-q, --quiet
    unterdrückt die Ausgabe vom Meldungen nach dem erfolgreichen Löschen der Signatur.

-t, --types Liste
    grenzt die ausgegebenen oder zu löschenden Signaturen ein. Es können in einer durch Kommata getrennten Liste mehrere Typen angegeben werden. Der Liste oder den angegebenen Typen kann ein »no« vorangestellt werden, um die Typen anzugeben, für die keine Aktion ausgeführt werden soll. Weitere Details finden Sie in mount(8).

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

BEISPIELE

wipefs /dev/sda*
    gibt Informationen über sda und alle Partitionen auf sda aus.

wipefs --all --backup /dev/sdb
    löscht alle Signaturen vom Gerät /dev/sdb und erstellt eine Sicherungsdatei ~/wipefs-sdb-<offset>.bak für jede Signatur.

dd if=~/wipefs-sdb-0x00000438.bak of=/dev/sdb seek=$((0x00000438)) bs=1 conv=notrunc
    stellt die ext2-Signatur aus der Sicherungsdatei ~/wipefs-sdb-0x00000438.bak wieder her.

AUTOR
Karel Zak <kzak@redhat.com>

UMGEBUNGSVARIABLEN

LIBBLKID_DEBUG=all
    aktiviert die Debug-Ausgabe.

SIEHE AUCH
blkid(8), findfs(8)

VERFÜGBARKEIT
Der Befehl wipefs ist Teil des Pakets util-linux und kann von https://www.kernel.org/pub/linux/utils/util-linux/ heruntergeladen werden.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.